flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r917052 - in /websites/staging/flex/trunk: cgi-bin/ content/ content/download-binaries.html content/download-falconjx.html content/download-flexjs.html content/download-source.html
Date Tue, 22 Jul 2014 05:23:57 GMT
Author: buildbot
Date: Tue Jul 22 05:23:56 2014
New Revision: 917052

Log:
Staging update by buildbot for flex

Modified:
    websites/staging/flex/trunk/cgi-bin/   (props changed)
    websites/staging/flex/trunk/content/   (props changed)
    websites/staging/flex/trunk/content/download-binaries.html
    websites/staging/flex/trunk/content/download-falconjx.html
    websites/staging/flex/trunk/content/download-flexjs.html
    websites/staging/flex/trunk/content/download-source.html

Propchange: websites/staging/flex/trunk/cgi-bin/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Tue Jul 22 05:23:56 2014
@@ -1 +1 @@
-1611245
+1612467

Propchange: websites/staging/flex/trunk/content/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Tue Jul 22 05:23:56 2014
@@ -1 +1 @@
-1611245
+1612467

Modified: websites/staging/flex/trunk/content/download-binaries.html
==============================================================================
--- websites/staging/flex/trunk/content/download-binaries.html (original)
+++ websites/staging/flex/trunk/content/download-binaries.html Tue Jul 22 05:23:56 2014
@@ -197,22 +197,22 @@
 <p>Only current recommended releases are available on the main distribution site and
its mirrors.  Previous releases produced by Adobe, including 4.6.0 are available at <a
href="http://sourceforge.net/adobe/flexsdk/wiki/About/">Adobe's Sourceforge Site</a>.</p>
 <p>The Apache Flex® SDK has some compile-time dependencies.  Please make sure to
review the dependencies section if you plan on re-compiling the source from scratch.</p>
 <p><strong>Please review the release notes before installing or compiling the
SDK.</strong></p>
-<div class="headline"><h4>Current Release (4.12.1)</h4></div>
+<div class="headline"><h4>Current Release (4.13.0)</h4></div>
 
 <p>The Apache Flex team is pleased to offer this release, available as of the 8th of
March 2014.  This is the latest version of the Apache Flex SDK and is designed to be compatible
with previous versions of the Apache Flex SDK and Adobe Flex SDK.</p>
-<p>Binaries are provided as a convenience for those who do not wish to compile the
SDK themselves.  The 4.12.1 binaries were published on the 8th of March 2014.</p>
-<p><strong>Please be aware of the dependencies listed in the section below.</strong>
 They are required in order to use the Apache Flex® SDK.  The <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/README">README</a>
explains these requirements further.</p>
+<p>Binaries are provided as a convenience for those who do not wish to compile the
SDK themselves.  The 4.13.0 binaries were published on the 16th of July 2014.</p>
+<p><strong>Please be aware of the dependencies listed in the section below.</strong>
 They are required in order to use the Apache Flex® SDK.  The <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/README">README</a>
explains these requirements further.</p>
 <ul>
-<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/RELEASE_NOTES">RELEASE_NOTES</a></li>
-<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/README">README</a></li>
-<li>Mac OS X Binaries : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.tar.gz">apache-flex-sdk-4.12.1-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.tar.gz.md5">MD5</a>]</li>
-<li>Linux Binaries : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.tar.gz">apache-flex-sdk-4.12.1-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.tar.gz.md5">MD5</a>]</li>
-<li>Windows Binaries : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.zip">apache-flex-sdk-4.12.1-bin.zip</a>
[<a href="http://www.apache.org/dist/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.12.1/binaries/apache-flex-sdk-4.12.1-bin.zip.md5">MD5</a>]</li>
-<li>Documentation : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/docs/apache-flex-sdk-4.12.1-asdocs.zip">apache-flex-sdk-4.12.1-asdocs.zip</a></li>
+<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/RELEASE_NOTES">RELEASE_NOTES</a></li>
+<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/README">README</a></li>
+<li>Mac OS X Binaries : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.tar.gz">apache-flex-sdk-4.13.0-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.tar.gz.md5">MD5</a>]</li>
+<li>Linux Binaries : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.tar.gz">apache-flex-sdk-4.13.0-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.tar.gz.md5">MD5</a>]</li>
+<li>Windows Binaries : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.zip">apache-flex-sdk-4.13.0-bin.zip</a>
[<a href="http://www.apache.org/dist/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.13.0/binaries/apache-flex-sdk-4.13.0-bin.zip.md5">MD5</a>]</li>
+<li>Documentation : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/docs/apache-flex-sdk-4.13.0-asdocs.zip">apache-flex-sdk-4.13.0-asdocs.zip</a></li>
 </ul>
 <div class="headline"><h4>Binary Dependencies</h4></div>
 
-<p>Due to licensing requirements, there are some components that we depend on that
we can not include in our binary or source distribution.  We try our hardest to limit these
dependencies, however for the current 4.12.1 release we do depend on the following components.
 Please review the <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/README">README</a>
included in your download for more information on where to install these packages.</p>
+<p>Due to licensing requirements, there are some components that we depend on that
we can not include in our binary or source distribution.  We try our hardest to limit these
dependencies, however for the current 4.13.0 release we do depend on the following components.
 Please review the <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/README">README</a>
included in your download for more information on where to install these packages.</p>
 <ul>
 <li>Open Source Media Framework (OSMF) <a href="http://sourceforge.net/projects/osmf.adobe/files/OSMF%201.0%20%28final%20source%2C%20ASDocs%2C%20PDF%20guides%2C%20and%20release%20notes%29/OSMF_1.0.zip/download">Download</a>
<a href="http://www.mozilla.org/MPL">MPL License</a></li>
 </ul>
@@ -254,21 +254,21 @@
 <p>The PGP signatures can be verified using PGP or GPG. First download the <a href="http://www.apache.org/dist/flex/KEYS">KEYS</a>
as well as the asc signature file for the relevant distribution. Make sure you get these files
as linked from this page (rather than a mirror) to insure the integrity of the files.</p>
 <div class="codehilite"><pre><span class="c">% pgpk -a KEYS</span>
 
-<span class="c">% pgpv apache-flex-sdk-4.12.1-src.tar.gz.asc</span>
+<span class="c">% pgpv apache-flex-sdk-4.13.0-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% pgp -ka KEYS</span>
 
-<span class="c">% pgp apache-flex-sdk-4.12.1-src.tar.gz.asc</span>
+<span class="c">% pgp apache-flex-sdk-4.13.0-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% gpg --import KEYS</span>
 
-<span class="c">% gpg --verify apache-flex-sdk-4.12.1-src.tar.gz.asc</span>
+<span class="c">% gpg --verify apache-flex-sdk-4.13.0-src.tar.gz.asc</span>
 </pre></div>
 
 

Modified: websites/staging/flex/trunk/content/download-falconjx.html
==============================================================================
--- websites/staging/flex/trunk/content/download-falconjx.html (original)
+++ websites/staging/flex/trunk/content/download-falconjx.html Tue Jul 22 05:23:56 2014
@@ -197,22 +197,22 @@
 <p>Only current recommended releases are available on the main distribution site and
its mirrors.</p>
 <p>The Apache Flex® FalconJX Compiler has some compile-time and run-time dependencies.
 Please make sure to review the dependencies section if you plan on re-compiling the source
from scratch.</p>
 <p><strong>Please review the release notes before installing or compiling this
testing suite.</strong></p>
-<div class="headline"><h4>Current Release (0.0.1)</h4></div>
+<div class="headline"><h4>Current Release (0.0.2)</h4></div>
 
 <p>The Apache Flex team is pleased to offer this release, available as of the 23rd
of April 2014.  This is the initial release of the Apache Flex FalconJX compiler and is considered
to be 'alpha' quality.  The purpose of this release is to gather feedback about the features
and implementation strategies, and recruit new contributors as we grow these code bases into
an SDK and tool chain that delivers the highest productivity developing applications that
can run in the most places.   These releases may not handle production needs.  Expect lots
of bugs and missing features.</p>
-<p>Binaries are provided as a convenience for those who do not wish to compile FalconJX
themselves.  The 0.0.1 binaries were published on the 23rd of April 2014.</p>
-<p><strong>Please be aware of the dependencies listed in the section below.</strong>
 They are required in order to use the Apache Flex FalconJX Compiler.  The <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/READme">README</a>
explains these requirements further.</p>
+<p>Binaries are provided as a convenience for those who do not wish to compile FalconJX
themselves.  The 0.0.2 binaries were published on the 18th of July 2014.</p>
+<p><strong>Please be aware of the dependencies listed in the section below.</strong>
 They are required in order to use the Apache Flex FalconJX Compiler.  The <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/READme">README</a>
explains these requirements further.</p>
 <ul>
-<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/RELEASE_NOTES">RELEASE_NOTES</a></li>
-<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/READme">README</a></li>
-<li>Source (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/apache-flex-falconjx-0.0.1-src.tar.gz">apache-flex-falconjx-0.0.1-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/apache-flex-falconjx-0.0.1-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/apache-flex-falconjx-0.0.1-src.tar.gz.md5">MD5</a>]</li>
-<li>Source (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/apache-flex-falconjx-0.0.1-src.zip">apache-flex-falconjx-0.0.1-src.zip</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/apache-flex-falconjx-0.0.1-src.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/apache-flex-falconjx-0.0.1-src.zip.md5">MD5</a>]</li>
-<li>Binaries (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/binaries/apache-flex-falconjx-0.0.1-bin.tar.gz">apache-flex-falconjx-0.0.1-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/binaries/apache-flex-falconjx-0.0.1-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/binaries/apache-flex-falconjx-0.0.1-bin.tar.gz.md5">MD5</a>]</li>
-<li>Binaries (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/binaries/apache-flex-falconjx-0.0.1-bin.zip">apache-flex-falconjx-0.0.1-bin.zip</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/binaries/apache-flex-falconjx-0.0.1-bin.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.1/binaries/apache-flex-falconjx-0.0.1-bin.zip.md5">MD5</a>]</li>
+<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/RELEASE_NOTES">RELEASE_NOTES</a></li>
+<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/READme">README</a></li>
+<li>Source (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/apache-flex-falconjx-0.0.2-src.tar.gz">apache-flex-falconjx-0.0.2-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/apache-flex-falconjx-0.0.2-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/apache-flex-falconjx-0.0.2-src.tar.gz.md5">MD5</a>]</li>
+<li>Source (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/apache-flex-falconjx-0.0.2-src.zip">apache-flex-falconjx-0.0.2-src.zip</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/apache-flex-falconjx-0.0.2-src.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/apache-flex-falconjx-0.0.2-src.zip.md5">MD5</a>]</li>
+<li>Binaries (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/binaries/apache-flex-falconjx-0.0.2-bin.tar.gz">apache-flex-falconjx-0.0.2-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/binaries/apache-flex-falconjx-0.0.2-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/binaries/apache-flex-falconjx-0.0.2-bin.tar.gz.md5">MD5</a>]</li>
+<li>Binaries (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/binaries/apache-flex-falconjx-0.0.2-bin.zip">apache-flex-falconjx-0.0.2-bin.zip</a>
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/binaries/apache-flex-falconjx-0.0.2-bin.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/falcon/0.0.2/binaries/apache-flex-falconjx-0.0.2-bin.zip.md5">MD5</a>]</li>
 </ul>
 <div class="headline"><h4>Dependencies</h4></div>
 
-<p>The Apache Flex FalconJX Compiler requires some build tools which must be installed
prior to building the compiler and it depends on some external software which are downloaded
as part of the build process.  Some of these have different licenses. See the Software <a
href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/READme">Dependencies section</a>
within the <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.1/READme">README</a>
for more information on the external software dependencies.</p>
+<p>The Apache Flex FalconJX Compiler requires some build tools which must be installed
prior to building the compiler and it depends on some external software which are downloaded
as part of the build process.  Some of these have different licenses. See the Software <a
href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/READme">Dependencies section</a>
within the <a href="http://www.apache.org/dyn/closer.cgi/flex/falcon/0.0.2/READme">README</a>
for more information on the external software dependencies.</p>
 <h4 id="general-requirements">General Requirements</h4>
 <ul>
 <li>Java SDK 1.6 or greater</li>
@@ -229,14 +229,16 @@ Version 2.0 license.  These can be downl
 <p>(jars)</p>
 <ul>
 <li>ant -  <a href="http://search.maven.org/remotecontent?filepath=org/apache/ant/ant/1.7.1/ant-1.7.1.jar">Download</a>
(Apache 2.0 License)</li>
-<li>antlr - <a href="http://antlr3.org/download/antlr-3.3-complete.jar">Download</a>
(BSD License)</li>
+<li>antlr - <a href="http://antlr3.org/download/antlr-3.5.2-complete.jar">Download</a>
(BSD License)</li>
+<li>args4j - <a href="http://search.maven.org/remotecontent?filepath=args4j/args4j/2.0.28/args4j-2.0.28.jar">Download</a>
(MIT License)</li>
 <li>commons-cli - <a href="http://archive.apache.org/dist/commons/cli/binaries/commons-cli-1.2-bin.tar.gz">Download</a>
(Apache 2.0 License)</li>
 <li>commons-io - <a href="http://archive.apache.org/dist/commons/io/binaries/commons-io-2.0.1.tar.gz">Download</a>
(Apache 2.0 License)</li>
 <li>guava - <a href="http://search.maven.org/remotecontent?filepath=com/google/guava/guava/15.0/guava-15.0.jar">Download</a>
(Apache 2.0 License)</li>
 <li>jburg - <a href="http://downloads.sourceforge.net/project/jburg/jburg-1.10.1.tar.gz">Download</a>
 (CPL)</li>
 <li>jflex - <a href="http://jflex.de/jflex-1.5.1.tar.gz">Download</a> (BSD
License)</li>
 <li>lzma - <a href="http://www.java2s.com/Code/JarDownload/lzma/lzma-9.20.jar.zip">Download</a>
 (Public Domain)</li>
-<li>Google Closure Compiler - <a href="http://dl.google.com/closure-compiler/compiler-latest.zip">Download</a>
(Apache 2.0 License)</li>
+<li>Google Closure Compiler - <a href="http://github.com/google/closure-compiler/archive/v20140625.zip">Download</a>
(Apache 2.0 License)</li>
+<li>org.json - <a href="http://search.maven.org/remotecontent?filepath=org/codeartisans/org.json/20131017/org.json-20131017.jar">Download</a>
(MIT License)</li>
 </ul>
 <p><br/ >All of the above dependencies can automatically be downloaded via the
following ANT commands :</p>
 <div class="codehilite"><pre><span class="n">cd</span> <span class="o">&lt;</span><span
class="n">falcon</span><span class="p">.</span><span class="n">dir</span><span
class="o">&gt;/</span><span class="n">compiler</span>
@@ -251,21 +253,21 @@ Version 2.0 license.  These can be downl
 <p>The PGP signatures can be verified using PGP or GPG. First download the <a href="http://www.apache.org/dist/flex/KEYS">KEYS</a>
as well as the asc signature file for the relevant distribution. Make sure you get these files
as linked from this page (rather than a mirror) to insure the integrity of the files.</p>
 <div class="codehilite"><pre><span class="c">% pgpk -a KEYS</span>
 
-<span class="c">% pgpv apache-flex-falconjx-0.0.1-src.tar.gz.asc</span>
+<span class="c">% pgpv apache-flex-falconjx-0.0.2-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% pgp -ka KEYS</span>
 
-<span class="c">% pgp apache-flex-falconjx-0.0.1-src.tar.gz.asc</span>
+<span class="c">% pgp apache-flex-falconjx-0.0.2-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% gpg --import KEYS</span>
 
-<span class="c">% gpg --verify apache-flex-falconjx-0.0.1-src.tar.gz.asc</span>
+<span class="c">% gpg --verify apache-flex-falconjx-0.0.2-src.tar.gz.asc</span>
 </pre></div>
 
 

Modified: websites/staging/flex/trunk/content/download-flexjs.html
==============================================================================
--- websites/staging/flex/trunk/content/download-flexjs.html (original)
+++ websites/staging/flex/trunk/content/download-flexjs.html Tue Jul 22 05:23:56 2014
@@ -193,26 +193,26 @@
 <!-- Home Page Exception -->
 
 
-<p>Use the links below to download the Apache FlexJS 0.0.1 'alpha' release from one
of our mirrors. You must verify the integrity of the downloaded files using signatures downloaded
from this page.</p>
+<p>Use the links below to download the Apache FlexJS 0.0.2 'alpha' release from one
of our mirrors. You must verify the integrity of the downloaded files using signatures downloaded
from this page.</p>
 <p>Only current recommended releases are available on the main distribution site and
its mirrors.</p>
 <p>The Apache FlexJS SDK has some compile-time and run-time dependencies.  Please make
sure to review the dependencies section if you plan on re-compiling the source from scratch.</p>
 <p><strong>Please review the release notes before installing or compiling this
release.</strong></p>
-<div class="headline"><h4>Current Release (0.0.1)</h4></div>
+<div class="headline"><h4>Current Release (0.0.2)</h4></div>
 
-<p>The Apache Flex team is pleased to offer this release, available as of the 23rd
of April 2014.  This is the initial release of the Apache FlexJS and is considered 'alpha'
quality.  The purpose of this release is to gather feedback about the features and implementation
strategies, and recruit new contributors as we grow these code bases into an SDK and tool
chain that delivers the highest productivity developing applications that can run in the most
places.   These releases may not handle production needs.  Expect lots of bugs and missing
features.</p>
-<p>Binaries are provided as a convenience for those who do not wish to compile FlexJS
themselves.  The 0.0.1 binaries were published on the 23rd of April 2014.</p>
-<p><strong>Please be aware of the dependencies listed in the section below.</strong>
 They are required in order to compile the Apache FlexJS SDK.  The <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/READme">README</a>
explains these requirements further.</p>
+<p>The Apache Flex team is pleased to offer this release, available as of the 16th
of July 2014.  This is the initial release of the Apache FlexJS and is considered 'alpha'
quality.  The purpose of this release is to gather feedback about the features and implementation
strategies, and recruit new contributors as we grow these code bases into an SDK and tool
chain that delivers the highest productivity developing applications that can run in the most
places.   These releases may not handle production needs.  Expect lots of bugs and missing
features.</p>
+<p>Binaries are provided as a convenience for those who do not wish to compile FlexJS
themselves.  The 0.0.2 binaries were published on the 16th of July 2014.</p>
+<p><strong>Please be aware of the dependencies listed in the section below.</strong>
 They are required in order to compile the Apache FlexJS SDK.  The <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/READme">README</a>
explains these requirements further.</p>
 <ul>
-<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/RELEASE_NOTES">RELEASE_NOTES</a></li>
-<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/READme">README</a></li>
-<li>Source (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/apache-flex-flexjs-0.0.1-src.tar.gz">apache-flex-flexjs-0.0.1-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/apache-flex-flexjs-0.0.1-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/apache-flex-flexjs-0.0.1-src.tar.gz.md5">MD5</a>]</li>
-<li>Source (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/apache-flex-flexjs-0.0.1-src.zip">apache-flex-flexjs-0.0.1-src.zip</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/apache-flex-flexjs-0.0.1-src.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/apache-flex-flexjs-0.0.1-src.zip.md5">MD5</a>]</li>
-<li>Binaries (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/binaries/apache-flex-flexjs-0.0.1-bin.tar.gz">apache-flex-flexjs-0.0.1-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/binaries/apache-flex-flexjs-0.0.1-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/binaries/apache-flex-flexjs-0.0.1-bin.tar.gz.md5">MD5</a>]</li>
-<li>Binaries (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/binaries/apache-flex-flexjs-0.0.1-bin.zip">apache-flex-flexjs-0.0.1-bin.zip</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/binaries/apache-flex-flexjs-0.0.1-bin.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.1/binaries/apache-flex-flexjs-0.0.1-bin.zip.md5">MD5</a>]</li>
+<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/RELEASE_NOTES">RELEASE_NOTES</a></li>
+<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/READme">README</a></li>
+<li>Source (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/apache-flex-flexjs-0.0.2-src.tar.gz">apache-flex-flexjs-0.0.2-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/apache-flex-flexjs-0.0.2-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/apache-flex-flexjs-0.0.2-src.tar.gz.md5">MD5</a>]</li>
+<li>Source (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/apache-flex-flexjs-0.0.2-src.zip">apache-flex-flexjs-0.0.2-src.zip</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/apache-flex-flexjs-0.0.2-src.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/apache-flex-flexjs-0.0.2-src.zip.md5">MD5</a>]</li>
+<li>Binaries (tar.gz) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/binaries/apache-flex-flexjs-0.0.2-bin.tar.gz">apache-flex-flexjs-0.0.2-bin.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/binaries/apache-flex-flexjs-0.0.2-bin.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/binaries/apache-flex-flexjs-0.0.2-bin.tar.gz.md5">MD5</a>]</li>
+<li>Binaries (zip) : <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/binaries/apache-flex-flexjs-0.0.2-bin.zip">apache-flex-flexjs-0.0.2-bin.zip</a>
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/binaries/apache-flex-flexjs-0.0.2-bin.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/flexjs/0.0.2/binaries/apache-flex-flexjs-0.0.2-bin.zip.md5">MD5</a>]</li>
 </ul>
 <div class="headline"><h4>Dependencies</h4></div>
 
-<p>Apache FlexJS requires some build tools which must be installed prior to building
FlexJS.  Some of these have different licenses. See the Software <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/READme">Dependencies
section</a> within the <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.1/READme">README</a>
for more information on the external software dependencies.  If you plan to compile the sources,
it is best to follow the instructions for downloading (and building) <a href="http://flex.apache.org/download-flexunit.html">Apache
Flex FlexUnit</a> and <a href="http://flex.apache.org/download-falconjx.html">Apache
Flex FalconJX</a> first.  Click on the links to access instructions for those dependencies.</p>
+<p>Apache FlexJS requires some build tools which must be installed prior to building
FlexJS.  Some of these have different licenses. See the Software <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/READme">Dependencies
section</a> within the <a href="http://www.apache.org/dyn/closer.cgi/flex/flexjs/0.0.2/READme">README</a>
for more information on the external software dependencies.  If you plan to compile the sources,
it is best to follow the instructions for downloading (and building) <a href="http://flex.apache.org/download-flexunit.html">Apache
Flex FlexUnit</a> and <a href="http://flex.apache.org/download-falconjx.html">Apache
Flex FalconJX</a> first.  Click on the links to access instructions for those dependencies.</p>
 <h4 id="general-requirements">General Requirements</h4>
 <ul>
 <li>Java SDK 1.6 or greater</li>
@@ -221,7 +221,7 @@
 <li>Google Closure Linter</li>
 <li>Adobe Flash Player playerglobal.swc</li>
 <li>JSHint</li>
-<li>Apache Flex FalconJX 0.0.1 or greater</li>
+<li>Apache Flex FalconJX 0.0.2 or greater</li>
 <li>Apache Flex FlexUnit 4.2 or greater</li>
 <li>Apache Flex 4.6 or greater</li>
 </ul>
@@ -232,21 +232,21 @@
 <p>The PGP signatures can be verified using PGP or GPG. First download the <a href="http://www.apache.org/dist/flex/KEYS">KEYS</a>
as well as the asc signature file for the relevant distribution. Make sure you get these files
as linked from this page (rather than a mirror) to insure the integrity of the files.</p>
 <div class="codehilite"><pre><span class="c">% pgpk -a KEYS</span>
 
-<span class="c">% pgpv apache-flex-flexjs-0.0.1-src.tar.gz.asc</span>
+<span class="c">% pgpv apache-flex-flexjs-0.0.2-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% pgp -ka KEYS</span>
 
-<span class="c">% pgp apache-flex-flexjs-0.0.1-src.tar.gz.asc</span>
+<span class="c">% pgp apache-flex-flexjs-0.0.2-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% gpg --import KEYS</span>
 
-<span class="c">% gpg --verify apache-flex-flexjs-0.0.1-src.tar.gz.asc</span>
+<span class="c">% gpg --verify apache-flex-flexjs-0.0.2-src.tar.gz.asc</span>
 </pre></div>
 
 

Modified: websites/staging/flex/trunk/content/download-source.html
==============================================================================
--- websites/staging/flex/trunk/content/download-source.html (original)
+++ websites/staging/flex/trunk/content/download-source.html Tue Jul 22 05:23:56 2014
@@ -197,16 +197,16 @@
 <p>Only current recommended releases are available on the main distribution site and
its mirrors.  Previous releases produced by Adobe, including 4.6.0 are available at <a
href="http://sourceforge.net/adobe/flexsdk/wiki/About/">Adobe's Sourceforge Site</a>.</p>
 <p>The Apache Flex® SDK has some compile-time dependencies.  Please make sure to
review the dependencies section if you plan on compiling the source from scratch.</p>
 <p><strong>Please review the release notes before installing or compiling the
SDK.</strong></p>
-<div class="headline"><h4>Current Release (4.12.1)</h4></div>
+<div class="headline"><h4>Current Release (4.13.0)</h4></div>
 
-<p>The Apache Flex team is pleased to offer this release, available as of the 8th October
2014.  This is the lastest Apache Flex SDK release and is designed to be compatible with previous
versions of the Apache Flex SDK and Adobe Flex SDK.</p>
+<p>The Apache Flex team is pleased to offer this release, available as of the 16th
of July 2014.  This is the lastest Apache Flex SDK release and is designed to be compatible
with previous versions of the Apache Flex SDK and Adobe Flex SDK.</p>
 <ul>
-<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/RELEASE_NOTES">RELEASE_NOTES</a></li>
-<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/README">README</a></li>
-<li>Mac OS X Source : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/apache-flex-sdk-4.12.1-src.tar.gz">apache-flex-sdk-4.12.1-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.12.1/apache-flex-sdk-4.12.1-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.12.1/apache-flex-sdk-4.12.1-src.tar.gz.md5">MD5</a>]</li>
-<li>Linux Source : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/apache-flex-sdk-4.12.1-src.tar.gz">apache-flex-sdk-4.12.1-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.12.1/apache-flex-sdk-4.12.1-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.12.1/apache-flex-sdk-4.12.1-src.tar.gz.md5">MD5</a>]</li>
-<li>Windows Source : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/apache-flex-sdk-4.12.1-src.zip">apache-flex-sdk-4.12.1-src.zip</a>
[<a href="http://www.apache.org/dist/flex/4.12.1/apache-flex-sdk-4.12.1-src.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.12.1/apache-flex-sdk-4.12.1-src.zip.md5">MD5</a>]</li>
-<li>Documentation : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/docs/apache-flex-sdk-4.12.1-asdocs.zip">apache-flex-sdk-4.12.1-asdocs.zip</a></li>
+<li>Release Notes : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/RELEASE_NOTES">RELEASE_NOTES</a></li>
+<li>README : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/README">README</a></li>
+<li>Mac OS X Source : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/apache-flex-sdk-4.13.0-src.tar.gz">apache-flex-sdk-4.13.0-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.13.0/apache-flex-sdk-4.13.0-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.13.0/apache-flex-sdk-4.13.0-src.tar.gz.md5">MD5</a>]</li>
+<li>Linux Source : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/apache-flex-sdk-4.13.0-src.tar.gz">apache-flex-sdk-4.13.0-src.tar.gz</a>
[<a href="http://www.apache.org/dist/flex/4.13.0/apache-flex-sdk-4.13.0-src.tar.gz.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.13.0/apache-flex-sdk-4.13.0-src.tar.gz.md5">MD5</a>]</li>
+<li>Windows Source : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/apache-flex-sdk-4.13.0-src.zip">apache-flex-sdk-4.13.0-src.zip</a>
[<a href="http://www.apache.org/dist/flex/4.13.0/apache-flex-sdk-4.13.0-src.zip.asc">PGP</a>]
[<a href="http://www.apache.org/dist/flex/4.13.0/apache-flex-sdk-4.13.0-src.zip.md5">MD5</a>]</li>
+<li>Documentation : <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/docs/apache-flex-sdk-4.13.0-asdocs.zip">apache-flex-sdk-4.13.0-asdocs.zip</a></li>
 </ul>
 <div class="headline"><h4>Bleeding-Edge Release</h4></div>
 
@@ -226,7 +226,7 @@
 
 <div class="headline"><h4>Source-Code Dependencies</h4></div>
 
-<p>Due to licensing requirements, there are some components that we depend on that
we can not include in our binary or source distribution.  We try our hardest to limit these
dependencies, however for the current 4.12.1 release we do depend on the following components.
 Please review the <a href="http://www.apache.org/dyn/closer.cgi/flex/4.12.1/README">README</a>
included in your download for more information on where to install these packages.</p>
+<p>Due to licensing requirements, there are some components that we depend on that
we can not include in our binary or source distribution.  We try our hardest to limit these
dependencies, however for the current 4.13.0 release we do depend on the following components.
 Please review the <a href="http://www.apache.org/dyn/closer.cgi/flex/4.13.0/README">README</a>
included in your download for more information on where to install these packages.</p>
 <ul>
 <li>Open Source Media Framework (OSMF) <a href="http://sourceforge.net/projects/osmf.adobe/files/OSMF%201.0%20%28final%20source%2C%20ASDocs%2C%20PDF%20guides%2C%20and%20release%20notes%29/OSMF_1.0.zip/download">Download</a>
<a href="http://www.mozilla.org/MPL">MPL License</a></li>
 </ul>
@@ -268,21 +268,21 @@
 <p>The PGP signatures can be verified using PGP or GPG. First download the <a href="http://www.apache.org/dist/flex/KEYS">KEYS</a>
as well as the asc signature file for the relevant distribution. Make sure you get these files
as linked from this page (rather than a mirror) to insure the integrity of the files.</p>
 <div class="codehilite"><pre><span class="c">% pgpk -a KEYS</span>
 
-<span class="c">% pgpv apache-flex-sdk-4.12.1-src.tar.gz.asc</span>
+<span class="c">% pgpv apache-flex-sdk-4.13.0-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% pgp -ka KEYS</span>
 
-<span class="c">% pgp apache-flex-sdk-4.12.1-src.tar.gz.asc</span>
+<span class="c">% pgp apache-flex-sdk-4.13.0-src.tar.gz.asc</span>
 </pre></div>
 
 
 <p><em>or</em></p>
 <div class="codehilite"><pre><span class="c">% gpg --import KEYS</span>
 
-<span class="c">% gpg --verify apache-flex-sdk-4.12.1-src.tar.gz.asc</span>
+<span class="c">% gpg --verify apache-flex-sdk-4.13.0-src.tar.gz.asc</span>
 </pre></div>
 
 



Mime
View raw message